Moose::Meta::Role::Application::ToClass(3)

NAME
Moose::Meta::Role::Application::ToClass - Compose a role into a class

VERSION
version 2.0602

DESCRIPTION

  METHODS

new
meta
apply
check_role_exclusions
check_required_methods
check_required_attributes
apply_attributes
apply_methods
apply_method_modifiers
apply_override_method_modifiers

BUGS
See "BUGS" in Moose for details on reporting bugs.

AUTHOR
Moose is maintained by the Moose Cabal, along with the help of many contributors. See "CABAL" in Moose and "CONTRIBUTORS" in Moose for details.

COPYRIGHT AND LICENSE
This software is copyright (c) 2012 by Infinity Interactive, Inc..

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.